import matplotlib.pyplot as plt
import scipy as sp
import numpy as np
import scipy.integrate as integrate



Nrayon=2

e=1e-5
lamb=1
i=0.5
R=0.99


s=0


def Sk(delta,k):
    phi =2*np.pi*delta/lamb
    return np.cos(k*phi)

def Stot(delta):
    phi =2*np.pi*delta/lamb
    s=0
    for k in range(0,Nrayon):
        s+= R*np.cos(k*phi)
    return s

liste_delta=np.linspace(-1.2*lamb,1.2*lamb,500)

liste_intensite=Stot(liste_delta)
S0=Sk(liste_delta,0)
S1=Sk(liste_delta,1)
S2=Sk(liste_delta,2)
S3=Sk(liste_delta,3)


plt.figure()


for  k in range(Nrayon):
    if k==1:
        plt.plot(liste_delta,Sk(liste_delta,k),'--',alpha=0.5,label='$S_k$')
    else :
        plt.plot(liste_delta,Sk(liste_delta,k),'--',alpha=0.5)


plt.plot(liste_delta,liste_intensite,label='$S_{tot} = \Sigma S_k$')
plt.ylabel('Amplitude ' + '[$S_0$]')
plt.xlabel('δ [λ]')
plt.plot(liste_delta,[0 for d in liste_delta],'-',c='black')
plt.legend()
plt.title('Amplitude résultante à ' + str(Nrayon) + ' ondes')
plt.show()